Sustainable.Web.Mvc.HibpClientValidator 1.0.20190219.1235

dotnet add package Sustainable.Web.Mvc.HibpClientValidator --version 1.0.20190219.1235
NuGet\Install-Package Sustainable.Web.Mvc.HibpClientValidator -Version 1.0.20190219.1235
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="Sustainable.Web.Mvc.HibpClientValidator" Version="1.0.20190219.1235" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Sustainable.Web.Mvc.HibpClientValidator --version 1.0.20190219.1235
#r "nuget: Sustainable.Web.Mvc.HibpClientValidator, 1.0.20190219.1235"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install Sustainable.Web.Mvc.HibpClientValidator as a Cake Addin
#addin nuget:?package=Sustainable.Web.Mvc.HibpClientValidator&version=1.0.20190219.1235

// Install Sustainable.Web.Mvc.HibpClientValidator as a Cake Tool
#tool nuget:?package=Sustainable.Web.Mvc.HibpClientValidator&version=1.0.20190219.1235

The client validator will (using javascript and unobtrusive client validation) tell the user if the typed password has been previously leaked. It will not tell how many times a password has been used as it is not relevant. If it has been leaked, it should not be used again.
   
   The package DOES depend on MVC for both Core and Framework, but has explicitly removed the dependencies for nuget. Minimum required MVC version is 5.0.1. For ASP.Net core MVC, you must download and reference the javascript manually (https://github.com/zealofzebras/HibpClientValidator/blob/master/HibpClientValidatorNuget/hibpvalidator.core.js)

Product Compatible and additional computed target framework versions.
.NET net5.0 was computed.  net5.0-windows was computed.  net6.0 was computed.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp2.0 was computed.  netcoreapp2.1 was computed.  netcoreapp2.2 was computed.  netcoreapp3.0 was computed.  netcoreapp3.1 was computed. 
.NET Standard netstandard2.0 is compatible.  netstandard2.1 was computed. 
.NET Framework net45 is compatible.  net451 was computed.  net452 was computed.  net46 was computed.  net461 was computed.  net462 was computed.  net463 was computed.  net47 was computed.  net471 was computed.  net472 was computed.  net48 was computed.  net481 was computed. 
MonoAndroid monoandroid was computed. 
MonoMac monomac was computed. 
MonoTouch monotouch was computed. 
Tizen tizen40 was computed.  tizen60 was computed. 
Universal Windows Platform uap was computed.  uap10.0 was computed. 
Windows Store netcore is compatible.  netcore45 was computed.  netcore451 was computed. 
Xamarin.iOS xamarinios was computed. 
Xamarin.Mac xamarinmac was computed. 
Xamarin.TVOS xamarintvos was computed. 
Xamarin.WatchOS xamarinwatchos was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.
  • .NETFramework 4.5

    • No dependencies.
  • .NETStandard 2.0

    • No dependencies.

NuGet packages

This package is not used by any NuGet packages.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.0.20190219.1235 749 2/19/2019
1.0.20190219.1205 540 2/19/2019